Main Page Modules Data Structures File List Data Fields Globals Related Pages

# build/parseDescription.c File Reference

Parse description section from spec file. More...

`#include "system.h"`
`#include "rpmbuild.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions

int | parseDescription (Spec spec)

## Variables

int | noLang
const char * | name = NULL
const char * | lang = NULL
poptOption | optionsTable []

## Detailed Description

Parse description section from spec file.

Definition in file parseDescription.c.

## Variable Documentation

const char* lang = NULL`[static]`

| Definition at line 20 of file parseDescription.c. Referenced by parseDescription.

const char* name = NULL`[static]`

| Definition at line 18 of file parseDescription.c. Referenced by parseDescription.

int noLang

| Definition at line 13 of file parseDescription.c. Referenced by parseDescription.

struct poptOption optionsTable[]`[static]`

Initial value:

     {
            { NULL, 'n', POPT_ARG_STRING, &name, 'n',       NULL, NULL},
            { NULL, 'l', POPT_ARG_STRING, &lang, 'l',       NULL, NULL},
            { 0, 0, 0, 0, 0,        NULL, NULL}
        }

Definition at line 23 of file parseDescription.c.

Referenced by parseDescription.